Skip to main content

Campaign Management

Overview​

After launching your Campaign you can continue to manage it with the Platform API. Some actions you can take include:

  • Adding additional budget
  • Adjusting job filters
  • Pausing a campaign
  • Archiving a campaign

Adding Additional Budget​

There are two ways to add additional budget to your Campaign:

  1. Monthly Budget: You can update your Campaign's monthly budget using the PATCH /campaigns/{campaignId} endpoint:
curl -X 'PATCH' \
'https://api.talroo.com/v5/campaigns/12345' \
-H 'accept: application/json' \
-H 'Authorization: Bearer {accessToken}' \
-H 'Content-Type: application/json' \
-d '{
"monthlyBudget": 500000
}'
  1. One Time Budget: You can add a one-time budget using the POST /campaigns/{campaignId}/scheduling/one-time-budgets endpoint:
curl -X 'POST' \
'https://api.talroo.com/v5/campaigns/12345/scheduling/one-time-budgets' \
-H 'accept: application/json' \
-H 'Authorization: Bearer {accessToken}' \
-H 'Content-Type: application/json' \
-d '{
"start": "2024-04-01",
"budgetCents": 1000000,
"rollover": true,
"launchOnStart": false
}'
tip

For more detailed information about Campaign funding options, see Campaign Funding.

Pausing your Campaign​

If you need to temporarily stop your Campaign from receiving traffic, you can pause it using the POST /campaigns/{campaignId}/pause endpoint:

curl -X 'POST' \
'https://api.talroo.com/v5/campaigns/12345/pause' \
-H 'accept: application/json' \
-H 'Authorization: Bearer {accessToken}' \
-H 'Content-Type: application/json'

When a Campaign is paused:

  • It will no longer receive new traffic
  • Jobs in the Campaign will not be advertised on the Talroo Marketplace
  • You can resume the Campaign later by launching it again

Archiving your Campaign​

When you no longer need a Campaign, you can archive it using the POST /campaigns/{campaignId}/archive endpoint:

curl -X 'POST' \
'https://api.talroo.com/v5/campaigns/12345/archive' \
-H 'accept: application/json' \
-H 'Authorization: Bearer {accessToken}' \
-H 'Content-Type: application/json'
caution

Once a Campaign is archived:

  • It cannot be unarchived
  • It will no longer receive traffic
  • All associated jobs will be removed from the Talroo Marketplace
  • Historical data will still be available for reporting purposes